#include "mainwindow.h"
#include "ui_mainwindow.h"
#include<QtBluetooth>


//RX -> tx
//tx -> Rx
MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    connect(agent, SIGNAL(deviceDiscovered(QBluetoothDeviceInfo)),
            this, SLOT(deviceDiscovered(QBluetoothDeviceInfo)));
    agent->start();


   socket = new QBluetoothSocket(QBluetoothServiceInfo::RfcommProtocol);
}


MainWindow::~MainWindow()
{
    delete ui;
}


void MainWindow::on_find_clicked()
{ ui->listWidget->clear();
    agent->stop();
   agent->start();
}


void MainWindow::on_on_clicked()
{
   socket->write("1");
}


void MainWindow::on_off_clicked()
{
   socket->write("0");
}


void MainWindow::deviceDiscovered(const QBluetoothDeviceInfo &device)
{
    ui->listWidget->addItem(device.name() + " (" + device.address().toString() + ")");
}




void MainWindow::on_listWidget_itemClicked(QListWidgetItem *item)
{
    int l = item->text().length();
    string =item->text().mid(l-18, 17);



 ui->listWidget->addItem("connected to: "+item->text());
 static const QString serviceUuid(QStringLiteral("00001101-0000-1000-8000-00805F9B34FB"));


   socket->connectToService(QBluetoothAddress(string), QBluetoothUuid(serviceUuid), QIODevice::ReadWrite);


}

void MainWindow::on_pushButton_clicked()
{
    socket->write("r");
}

void MainWindow::on_pushButton_2_clicked()
{
    socket->write("g");
}

void MainWindow::on_pushButton_3_clicked()
{
    socket->write("b");
}
